Loading...
Searching...
No Matches
SimplifySpecializations.h File Reference

Defines pass that try to simplify the RHS/LHS of a function's definition based on its specializations. More...

`#include <map>`
`#include <string>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

void | Halide::Internal::simplify_specializations (std::map< std::string, Function > &env)
| Try to simplify the RHS/LHS of a function's definition based on its specializations.

## Detailed Description

Defines pass that try to simplify the RHS/LHS of a function's definition based on its specializations.

Definition in file SimplifySpecializations.h.